-- Adding comments to describe each table in the ushahidi schema

ALTER TABLE  `actions` COMMENT =  'Stores user defined actions triggered by certain events';
ALTER TABLE  `actions_log` COMMENT =  'Stores a log of triggered actions';
ALTER TABLE  `alert` COMMENT =  'Stores alerts subscribers information';
ALTER TABLE  `alert_category` COMMENT =  'Stores subscriber alert categories';
ALTER TABLE  `alert_sent` COMMENT =  'Stores a log of alerts sent out to subscribers';
ALTER TABLE  `badge` COMMENT =  'Stores description of badges to be assigned';
ALTER TABLE  `badge_users` COMMENT =  'Stores assigned badge information';
ALTER TABLE  `category` COMMENT =  'Holds information about categories defined for a deployment';
ALTER TABLE  `category_lang` COMMENT =  'Holds translations for category titles and descriptions';
ALTER TABLE  `checkin` COMMENT =  'Stores checkin information';
ALTER TABLE  `city` COMMENT =  'Stores cities of countries retrieved by user.';
ALTER TABLE  `cluster` COMMENT =  'Stores information used for clustering of reports on the map.';
ALTER TABLE  `comment` COMMENT =  'Stores comments made on reports/checkins';
ALTER TABLE  `country` COMMENT =  'Stores a list of all countries and their capital cities';
ALTER TABLE  `externalapp` COMMENT =  'Info on external apps(mobile) that work with your deployment';
ALTER TABLE  `feed` COMMENT =  'Information about RSS Feeds a deployment subscribes to';
ALTER TABLE  `feed_item` COMMENT =  'Stores feed items pulled from each RSS Feed';
ALTER TABLE  `form` COMMENT =  'Stores all report submission forms created(default+custom)';
ALTER TABLE  `form_field` COMMENT =  'Stores all custom form fields created by users';
ALTER TABLE  `form_field_option` COMMENT =  'Options related to custom form fields';
ALTER TABLE  `form_response` COMMENT =  'Stores responses to custom form fields';
ALTER TABLE  `geometry` COMMENT =  'Stores map geometries i.e polygons, lines etc';
ALTER TABLE  `incident` COMMENT =  'Stores reports submitted';
ALTER TABLE  `incident_category` COMMENT =  'Stores submitted reports categories';
ALTER TABLE  `incident_lang` COMMENT =  'Holds translations for report titles and descriptions';
ALTER TABLE  `incident_person` COMMENT =  'Holds information provided by people who submit reports';
ALTER TABLE  `layer` COMMENT =  'Holds static layer information';
ALTER TABLE  `level` COMMENT =  'Stores level of trust assigned to reporters of the platform';
ALTER TABLE  `location` COMMENT =  'Stores location information';
ALTER TABLE  `maintenance` COMMENT =  'Puts a site in maintenance mode if data exists in this table';
ALTER TABLE  `media` COMMENT =  'Stores any media submitted along with a report/checkin';
ALTER TABLE  `message` COMMENT =  'Stores tweets, emails and SMS messages';
ALTER TABLE  `openid` COMMENT =  'Stores users’ openid information';
ALTER TABLE  `page` COMMENT =  'Stores user created pages';
ALTER TABLE  `plugin` COMMENT =  'Holds a list of all plugins installed on a deployment';
ALTER TABLE  `private_message` COMMENT =  'Stores private messages sent between Members';
ALTER TABLE  `rating` COMMENT =  'Stores credibility ratings for reports and comments';
ALTER TABLE  `reporter` COMMENT =  'Information on report submitters via email, twitter and sms';
ALTER TABLE  `roles` COMMENT =  'Defines user access levels and privileges on a deployment';
ALTER TABLE  `roles_users` COMMENT =  'Stores roles assigned to users registered on a deployment';
ALTER TABLE  `scheduler` COMMENT =  'Stores schedules for cron jobs';
ALTER TABLE  `scheduler_log` COMMENT =  'Stores a log of scheduler actions';
ALTER TABLE  `service` COMMENT =  'Info on input sources i.e SMS, Email, Twitter';
ALTER TABLE  `sessions` COMMENT =  'Stores session information';
ALTER TABLE  `settings` COMMENT =  'Stores a deployment’s general settings';
ALTER TABLE  `users` COMMENT =  'Stores registered users’ information';
ALTER TABLE  `user_devices` COMMENT =  'Works with checkins';
ALTER TABLE  `user_tokens` COMMENT =  'Stores browser tokens assigned to users';
ALTER TABLE  `verified` COMMENT =  'Stores all verified reports';

UPDATE `settings` SET `db_version` = '81' WHERE `id` = 1 LIMIT 1;
